using System;

namespace kvalifikacije
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] input;

            input = Console.ReadLine().Split(' ');
            int n = int.Parse(input[0]);
            long x = int.Parse(input[1]);

            input = Console.ReadLine().Split(' ');
            long d = 0;
            long p1 = long.Parse(input[0]);
            long pn = long.Parse(input[n - 1]);
            if (x < p1 && x < pn)
                d = pn - x;
            else if (p1 < x && pn < x)
                d = x - p1;
            else if (x - p1 < pn - x)
                d = 2 * (x - p1) + pn - x;
            else
                d = x - p1 + 2 * (pn - x);
            Console.WriteLine(d);
        }
    }
}